format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/3176


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 4adf8a1
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: c17255303d59759463ef4795285cef1e9861fc94
    - input_file: 'b-partial-2.diff'
      commit_sha1: 8efe7dc1c25c7a8aeee21757ec2f4f742d12aae8
    - input_file: 'b-partial-3.diff'
      commit_sha1: 2b0c4cdb730898a0baa488ec6c15c9fe1a3606cd
    - input_file: 'b-partial-4.diff'
      commit_sha1: 7b9938be022b6e8e9e2228a82aac90ec761b4c12
    - input_file: 'b-partial-5.diff'
      commit_sha1: 302a6ec3888354d03f51b60a0e1fa6ad67305f1c
    - input_file: 'b-partial-6.diff'
      commit_sha1: 077f188361d84a6b5648a50223d5327328dba411
    - input_file: 'b-partial-7.diff'
      commit_sha1: 4ed4ee5ed0d7fabda332420955dafbf11d800c07

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 88a32ee2d99593bec6b68c8ab818fe220467cc6e

options:
  language: C
